## Apache Zeta Components Manual :: Docs For Class ezcMailOptions

### Mail::ezcMailOptions

### Class ezcMailOptions

Class containing the options for the mail generator.

Example of how to use the mail options:

1. $options=new ezcMailOptions ();
2. $options->stripBccHeader=true;// default value is false
4. $mail=new ezcMail ($options);

Alternatively, you can set the options direcly:

1. $mail=new ezcMail ();
2. $mail->options->stripBccHeader=true;

Source for this file: /Mail/src/options/mail_options.php

    ezcBaseOptions
       |
       --ezcMailOptions

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcMailComposerOptions | Class containing the options for the mail composer.

### Properties

bool | read/write | `$stripBccHeader` Specifies whether to strip the Bcc header from a mail before sending it. This can prevent problems with certain SMTP servers where the Bcc header appears visible to the To and Cc recipients (issue #16154: Bcc headers are not stripped when using SMTP).

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcMailOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcMailOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcMailComposerOptions::__construct()` | Constructs an object with the specified values.

Documentation generated by phpDocumentor 1.4.3